Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Gemini » Gemini JPA and Java 9
Gemini JPA and Java 9 [message #1772157] Wed, 06 September 2017 07:55 Go to next message
Pavel No is currently offline Pavel NoFriend
Messages: 45
Registered: May 2016
Member
I am trying to use jemini jpa on Java 9 (on Java 8 everything is ok) but get the following exception. How to fix it?

org.osgi.framework.BundleException: Activator start error in bundle org.eclipse.gemini.jpa [13].
	at org.apache.felix.framework.Felix.activateBundle(Felix.java:2289)
	at org.apache.felix.framework.Felix.startBundle(Felix.java:2145)
	at org.apache.felix.framework.BundleImpl.start(BundleImpl.java:998)
	at org.apache.felix.framework.BundleImpl.start(BundleImpl.java:984)
...
Caused by: java.lang.NoClassDefFoundError: java/sql/SQLException
	at org.eclipse.gemini.jpa.GeminiManager.startup(GeminiManager.java:140)
	at org.eclipse.gemini.jpa.Activator.start(Activator.java:35)
	at org.apache.felix.framework.util.SecureAction.startActivator(SecureAction.java:697)
	at org.apache.felix.framework.Felix.activateBundle(Felix.java:2239)
	... 11 more
Caused by: java.lang.ClassNotFoundException: java.sql.SQLException
	at java.base/java.lang.ClassLoader.findClass(ClassLoader.java:709)
	at java.base/java.lang.ClassLoader.loadClass(ClassLoader.java:563)
	at java.base/java.lang.ClassLoader.loadClass(ClassLoader.java:496)
	at org.apache.felix.framework.BundleWiringImpl.findClassOrResourceByDelegation(BundleWiringImpl.java:1507)
	at org.apache.felix.framework.BundleWiringImpl.access$200(BundleWiringImpl.java:80)
	at org.apache.felix.framework.BundleWiringImpl$BundleClassLoader.loadClass(BundleWiringImpl.java:2018)
	at java.base/java.lang.ClassLoader.loadClass(ClassLoader.java:496)
	... 15 more
Re: Gemini JPA and Java 9 [message #1772226 is a reply to message #1772157] Wed, 06 September 2017 22:56 Go to previous messageGo to next message
Michael Keith is currently offline Michael KeithFriend
Messages: 243
Registered: July 2009
Senior Member
I haven't tried it on JDK 9 yet, but have you tried the OSGi framework on JDK 9 without Gemini JPA? It's possible that the framework is not JDK 9 compatible.
Re: Gemini JPA and Java 9 [message #1772227 is a reply to message #1772226] Wed, 06 September 2017 22:58 Go to previous messageGo to next message
Michael Keith is currently offline Michael KeithFriend
Messages: 243
Registered: July 2009
Senior Member
Btw, which build of JDK 9 are you using?
Re: Gemini JPA and Java 9 [message #1772260 is a reply to message #1772227] Thu, 07 September 2017 08:00 Go to previous messageGo to next message
Pavel No is currently offline Pavel NoFriend
Messages: 45
Registered: May 2016
Member
Hi Michael

Thank you very much for your answer. I was afraid that this forum is dead and I am alone with my problem. Could you say, where will discussion about Gemini JPA take place if this forum is closed?

Now , to topic. I use Oracle JDK.
/opt/jdk-9/bin$ ./java -version
java version "9"
Java(TM) SE Runtime Environment (build 9+181)
Java HotSpot(TM) 64-Bit Server VM (build 9+181, mixed mode)


Osgi framework works and I use org.apache.felix.framework-5.6.8.jar.
Re: Gemini JPA and Java 9 [message #1772287 is a reply to message #1772260] Thu, 07 September 2017 14:52 Go to previous messageGo to next message
Michael Keith is currently offline Michael KeithFriend
Messages: 243
Registered: July 2009
Senior Member
In truth I am not maintaining the project anymore, and have not found anyone to take it over so you kind of are on your own at this point...
I try to answer any posts on this forum, but as you can tell there are not many at all, and looking back there have only been a few people over the last few years, and only you for the last year.

If you have tried Felix on that JDK 9 build and found that it works, and have also verified that EclipseLink also works, then there might well be some changes needed to make Gemini JPA work on JDK 9. If you are interested in pursuing it I would suggest stepping through to find where the incompatibilities might lie.
Re: Gemini JPA and Java 9 [message #1772295 is a reply to message #1772287] Thu, 07 September 2017 16:32 Go to previous message
Pavel No is currently offline Pavel NoFriend
Messages: 45
Registered: May 2016
Member
I see. Ok, could you say if official last code is here https://github.com/eclipse/gemini.jpa or I should download it from somewhere else?

By the way, do use use StackOverflow? Or maybe you can be found in some mailing list? I am asking for future, maybe your help will be required when this forum dies.

[Updated on: Thu, 07 September 2017 16:34]

Report message to a moderator

Previous Topic:Gemini Web has shipped 3.0.3 RELEASE
Next Topic:Gemini injection not working
Goto Forum:
  


Current Time: Sat Sep 22 07:16:51 GMT 2018

Powered by FUDForum. Page generated in 0.01685 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top